> This page is for API, version Deprecated.
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt
> - Beta: https://developer.deel.com/api/beta/llms.txt
> - Deprecated: https://developer.deel.com/api/deprecated/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

## Added

* **Apps** → [Create the listing of an app](/api/reference/endpoints/apps/create-app-listing-v-2026-11-18): Endpoint is now available, which allows to create the App Store listing of an app.

## Changed

* **People** → [Create a person without a contract](/api/reference/endpoints/people/create-person-without-contract): Added `org_structures` in the request body that allows assigning organization structure positions to the person.

* **Users** → [List users](/api/reference/endpoints/users/get-users): Added `leaveType`, `leaveStartDate`, and `leaveEndDate` to the response, providing the leave category and date range for workers currently on approved time off.

* **Users** → [Retrieve a single User](/api/reference/endpoints/users/get-user-by-id): Added `leaveType`, `leaveStartDate`, and `leaveEndDate` in the response that expose the worker's current leave category and leave period start and end dates.

* **Immigration** → [Create an immigration case for a worker](/api/reference/endpoints/immigration/create-case-v-2026-11-04): Added `worker_invitation` to the request body that allows inviting a person not yet on Deel as a worker when opening a business visa eligibility check.